NMBLOOKUP(1)

NAME
nmblookup - NetBIOS over TCP/IP client used to lookup NetBIOS names

SYNOPSIS

nmblookup [ -M ] [ -R ] [ -S ] [ -r ] [ -A ] [ -h ] [ -B <broadcast address> ] [ -U <unicast address> ] [ -d <debug level> ] [ -s <smb config file> ] [ -i <NetBIOS scope> ] [ -T ] name

DESCRIPTION

This tool is part of the Sambasuite.

nmblookup is used to query NetBIOS names and map them to IP addresses in a network using NetBIOS over TCP/IP queries. The options allow the name queries to be directed at a particular IP broadcast area or to a particular machine. All queries are done over UDP.

OPTIONS

-M  Searches for a master browser by looking up the NetBIOS name name with a type of 0x1d. If name is "-" then it does a lookup on the special name __MSBROWSE__.

-R  Set the recursion desired bit in the packet to do a recursive lookup. This is used when sending a name query to a machine running a WINS server and the user wishes to query the names in the WINS server. If this bit is unset the normal (broadcast responding) NetBIOS processing code on a machine is used instead. See rfc1001, rfc1002 for details.

-S  Once the name query has returned an IP address then do a node status query as well. A node status query returns the NetBIOS names registered by a host.

-r  Try and bind to UDP port 137 to send and receive UDP datagrams. The reason for this option is a bug in Windows 95 where it ignores the source port of the requesting packet and only replies to UDP port 137. Unfortunately, on most UNIX systems root privilege is needed to bind to this port, and in addition, if the nmbd(8) daemon is running on this machine it also binds to this port.

-A  Interpret name as an IP Address and do a node status query on this address.

-h  Print a help (usage) message.

-B <broadcast address>
    Send the query to the given broadcast address. Without this option the default behavior of nmblookup is to send the query to the broadcast address of the network interfaces as either auto-detected or defined in the interfaces parameter of the smb.conf (5) file.

-U <unicast address>
    Do a unicast query to the specified address or host unicast address. This option (along with the -R option) is needed to query a WINS server.

-d <debuglevel>
    debuglevel is an integer from 0 to 10. The default value if this parameter is not specified is zero. The higher this value, the more detail will be logged about the activities of nmblookup. At level 0, only critical errors and serious warnings will be logged. Levels above 1 will generate considerable amounts of log data, and should only be used when investigating a problem. Levels above 3 are designed for use only by developers and generate HUGE amounts of data, most of which is extremely cryptic. Note that specifying this parameter here will override the log levelparameter in the smb.conf(5) file.

-s <smb.conf>
    This parameter specifies the pathname to the Samba configuration file, smb.conf(5). This file controls all aspects of the Samba setup on the machine.

-i <scope>
    This specifies a NetBIOS scope that nmblookup will use to communicate with when generating NetBIOS names. For details on the use of NetBIOS scopes, see rfc1001.txt and rfc1002.txt. NetBIOS scopes are very rarely used, only set this parameter if you are the system administrator in charge of all the NetBIOS systems you communicate with.

-T  This causes any IP addresses found in the lookup to be looked up via a reverse DNS lookup into a DNS name, and printed out before each IP address .... NetBIOS name pair that is the normal output.

name
    This is the NetBIOS name being queried. Depending upon the previous options this may be a NetBIOS name or IP address. If a NetBIOS name then the different name types may be specified by appending '#<type>' to the name. This name may also be '*', which will return all registered names within a broadcast area.

EXAMPLES

nmblookup can be used to query a WINS server (in the same way nslookup is used to query DNS servers). To query a WINS server, nmblookup must be called like this:

nmblookup -U server -R 'name'

For example, running :

nmblookup -U samba.org -R 'IRIX#1B'

would query the WINS server samba.org for the domain master browser (1B name type) for the IRIX workgroup.

VERSION

This man page is correct for version 2.2 of the Samba suite.

SEE ALSO

nmbd(8), samba(7)

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

The original Samba man pages were written by Karl Auer. The man page sources were converted to YODL format (another excellent piece of Open Source software, available at ftp://ftp.icce.rug.nl/pub/unix/ <URL:ftp://ftp.icce.rug.nl/pub/unix/>) and updated for the Samba 2.0 release by Jeremy Allison. The conversion to DocBook for Samba 2.2 was done by Gerald Carter